uuid: 279d506b-c84f-4137-b06b-dc18be75fd6b
langcode: en
status: true
dependencies:
  module:
    - islandora_image
_core:
  default_config_hash: fgpZXg7_qBYjBYobj4IlcsY7jI-V8gpxY-DDoAJi1yA
id: image_generate_a_thumbnail_from_an_original_file
label: 'Image - Generate a thumbnail from an original file'
type: node
plugin: generate_image_derivative
configuration:
  queue: islandora-connector-houdini
  event: 'Generate Derivative'
  destination_media_type: image
  source_term_uri: 'http://pcdm.org/use#OriginalFile'
  derivative_term_uri: 'http://pcdm.org/use#ThumbnailImage'
  mimetype: image/jpeg
  args: '-thumbnail 220x220'
  scheme: public
  path: '[date:custom:Y]-[date:custom:m]/[islandoratokens:media-original-file:filename]-[term:name].jpg'
